Loading...
Searching...
No Matches
etl::bitset< MaxN >::bit_reference Class Reference

The reference type returned. More...

`#include <bitset_new.h>`

## Public Member Functions

ETL_CONSTEXPR14 | bit_reference (const bit_reference &other) ETL_NOEXCEPT
| Copy constructor.
ETL_CONSTEXPR14 | operator bool () const ETL_NOEXCEPT
| Conversion operator.
ETL_CONSTEXPR14 bit_reference & | operator= (bool b) ETL_NOEXCEPT
| Assignment operator.
ETL_CONSTEXPR14 bit_reference & | operator= (const bit_reference &r) ETL_NOEXCEPT
| Assignment operator.
ETL_CONSTEXPR14 bit_reference & | flip () ETL_NOEXCEPT
| Flip the bit.
ETL_CONSTEXPR14 bool | operator~ () const ETL_NOEXCEPT
| Return the logical inverse of the bit.

## Friends

class | bitset

## Detailed Description

template<size_t MaxN>
class etl::bitset< MaxN >::bit_reference

The reference type returned.

The documentation for this class was generated from the following file:

- include/etl/private/bitset_new.h